<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Market/Scripts/5_mission/dayzexpansion_market/market/expansionmarketmenuitemmanagercategory.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d07/a01913_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionmarketmenuitemmanagercategory.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/d07/a01913.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionMarketMenuItemManagerCategory.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d6/de0/a06138.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d6/de0/a06138.html">ExpansionMarketMenuItemManagerCategory</a>: <a class="code hl_class" href="../../d4/d56/a05206.html">ExpansionScriptView</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d6/de0/a06138.html#a59b92107cb708ed4121368677c8d7c10">   15</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../d0/d2a/a06142.html">ExpansionMarketMenuItemManagerCategoryController</a> <a class="code hl_variable" href="../../d6/de0/a06138.html#a59b92107cb708ed4121368677c8d7c10">m_MarketItemManagerCategoryController</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d6/de0/a06138.html#acfe5bb27e38278d40abb45340205193e">   16</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d6/de0/a06138.html#acfe5bb27e38278d40abb45340205193e">m_CategoryName</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d6/de0/a06138.html#a7396f5a048a51a5cffd3bc3e093289c1">   17</a></span>    ref TStringArray <a class="code hl_variable" href="../../d6/de0/a06138.html#a7396f5a048a51a5cffd3bc3e093289c1">m_ItemAttachments</a> = <span class="keyword">new</span> TStringArray;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d6/de0/a06138.html#a213e6a52fdfdb0cbd0f15abdd0e0e8c8">   18</a></span>    <a class="code hl_class" href="../../d2/d44/a06130.html">ExpansionMarketMenuItemManager</a> <a class="code hl_variable" href="../../d6/de0/a06138.html#a213e6a52fdfdb0cbd0f15abdd0e0e8c8">m_MarketMenuItemManager</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d6/de0/a06138.html#ac9fc0f5657f3c7feb257d23a2f9036b9">   19</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../d4/dfc/a06182.html">ExpansionMarketMenuTooltip</a> <a class="code hl_variable" href="../../d6/de0/a06138.html#ac9fc0f5657f3c7feb257d23a2f9036b9">m_CategoryTooltip</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d6/de0/a06138.html#a4f622720bbce6a3c03a5a3e6b71efb1f">   21</a></span>    ButtonWidget <a class="code hl_variable" href="../../d6/de0/a06138.html#a4f622720bbce6a3c03a5a3e6b71efb1f">category_button</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d6/de0/a06138.html#a2f54bcac3711a34f80db09025d2e1318">   22</a></span>    Widget <a class="code hl_variable" href="../../d6/de0/a06138.html#a2f54bcac3711a34f80db09025d2e1318">category_background</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d6/de0/a06138.html#ae40cc5fd99654afac65fc310feee106c">   24</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/de0/a06138.html#ae40cc5fd99654afac65fc310feee106c">ExpansionMarketMenuItemManagerCategory</a>(<span class="keywordtype">string</span> categoryName, TStringArray <a class="code hl_variable" href="../../dc/d0c/a01532.html#adfb4a8c515aa01502dc7b4878569f2bd">attachments</a>, <a class="code hl_class" href="../../d2/d44/a06130.html">ExpansionMarketMenuItemManager</a> itemManager)</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_variable" href="../../d6/de0/a06138.html#acfe5bb27e38278d40abb45340205193e">m_CategoryName</a> = categoryName;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_variable" href="../../d6/de0/a06138.html#a7396f5a048a51a5cffd3bc3e093289c1">m_ItemAttachments</a> = <a class="code hl_variable" href="../../dc/d0c/a01532.html#adfb4a8c515aa01502dc7b4878569f2bd">attachments</a>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_variable" href="../../d6/de0/a06138.html#a213e6a52fdfdb0cbd0f15abdd0e0e8c8">m_MarketMenuItemManager</a> = itemManager;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d6/de0/a06138.html#a59b92107cb708ed4121368677c8d7c10">m_MarketItemManagerCategoryController</a>)</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <a class="code hl_variable" href="../../d6/de0/a06138.html#a59b92107cb708ed4121368677c8d7c10">m_MarketItemManagerCategoryController</a> = <a class="code hl_class" href="../../d0/d2a/a06142.html">ExpansionMarketMenuItemManagerCategoryController</a>.Cast(GetController());</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../d6/de0/a06138.html#a22d2205e2c37657b10794537680f0bba">   34</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d6/de0/a06138.html#a22d2205e2c37657b10794537680f0bba">GetLayoutFile</a>() </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DayZExpansion/Market/GUI/layouts/market/expansion_market_menu_item_manager_category_element.layout&quot;</span>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d6/de0/a06138.html#a2135b701ea1caefd95464233d06a5f74">   39</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../d6/de0/a06138.html#a2135b701ea1caefd95464233d06a5f74">GetControllerType</a>() </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d0/d2a/a06142.html">ExpansionMarketMenuItemManagerCategoryController</a>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d6/de0/a06138.html#aac65b42e8f4dc3380ec0006be15aaef1">   44</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/de0/a06138.html#aac65b42e8f4dc3380ec0006be15aaef1">SetIcon</a>(<span class="keywordtype">string</span> <a class="code hl_variable" href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a>)</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <a class="code hl_variable" href="../../d6/de0/a06138.html#a59b92107cb708ed4121368677c8d7c10">m_MarketItemManagerCategoryController</a>.<a class="code hl_variable" href="../../d0/d2a/a06142.html#af55854d0f3579e55980969e538bef0e8">CategoryIcon</a> = <a class="code hl_variable" href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <a class="code hl_variable" href="../../d6/de0/a06138.html#a59b92107cb708ed4121368677c8d7c10">m_MarketItemManagerCategoryController</a>.NotifyPropertyChanged(<span class="stringliteral">&quot;CategoryIcon&quot;</span>);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <a class="code hl_variable" href="../../d6/de0/a06138.html#a2f54bcac3711a34f80db09025d2e1318">category_background</a>.SetColor(<a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetMarket().<a class="code hl_variable" href="../../dc/d93/a01535.html#aeef100852ccb522d585d1ed4cf9b3452">MarketMenuColors</a>.Get(<span class="stringliteral">&quot;BaseColorHeaders&quot;</span>));</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d6/de0/a06138.html#a6d35ee2b85239a7de366b85d9dd77241">   52</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/de0/a06138.html#a6d35ee2b85239a7de366b85d9dd77241">OnCategoryButtonClick</a>()</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <a class="code hl_variable" href="../../d6/de0/a06138.html#a213e6a52fdfdb0cbd0f15abdd0e0e8c8">m_MarketMenuItemManager</a>.<a class="code hl_function" href="../../d2/d44/a06130.html#ac72f6f9c182bfe01428348bf56bf007b">SetListView</a>(<a class="code hl_variable" href="../../d6/de0/a06138.html#a7396f5a048a51a5cffd3bc3e093289c1">m_ItemAttachments</a>);</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../d6/de0/a06138.html#a22f46f0a79e29e6969257af6c76060de">   57</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/de0/a06138.html#a22f46f0a79e29e6969257af6c76060de">OnMouseEnter</a>(Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        super.OnMouseEnter(w, x, y);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">switch</span> (w)</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d6/de0/a06138.html#a4f622720bbce6a3c03a5a3e6b71efb1f">category_button</a>:</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>                <a class="code hl_variable" href="../../d6/de0/a06138.html#a2f54bcac3711a34f80db09025d2e1318">category_background</a>.SetColor(<a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetMarket().<a class="code hl_variable" href="../../dc/d93/a01535.html#aeef100852ccb522d585d1ed4cf9b3452">MarketMenuColors</a>.Get(<span class="stringliteral">&quot;ColorSearchFilterButton&quot;</span>));</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>                <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d6/de0/a06138.html#ac9fc0f5657f3c7feb257d23a2f9036b9">m_CategoryTooltip</a>) </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>                {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>                    <a class="code hl_variable" href="../../d6/de0/a06138.html#ac9fc0f5657f3c7feb257d23a2f9036b9">m_CategoryTooltip</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/dfc/a06182.html">ExpansionMarketMenuTooltip</a>();</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>                    <a class="code hl_variable" href="../../d6/de0/a06138.html#ac9fc0f5657f3c7feb257d23a2f9036b9">m_CategoryTooltip</a>.<a class="code hl_function" href="../../d4/dfc/a06182.html#aeb9d920ed085f2c7e523be66d83c7916">SetTitle</a>(<a class="code hl_variable" href="../../d6/de0/a06138.html#acfe5bb27e38278d40abb45340205193e">m_CategoryName</a>);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>                    <a class="code hl_variable" href="../../d6/de0/a06138.html#ac9fc0f5657f3c7feb257d23a2f9036b9">m_CategoryTooltip</a>.<a class="code hl_function" href="../../d4/dfc/a06182.html#a824e474fc0b1586bbe33e86d1b0788c6">SetContentOffset</a>(0.019531, 0);</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>                    <a class="code hl_variable" href="../../d6/de0/a06138.html#ac9fc0f5657f3c7feb257d23a2f9036b9">m_CategoryTooltip</a>.<a class="code hl_function" href="../../d4/d56/a05206.html#a3df22f8ba7c31b6d3c427c1b5fcb2382">Show</a>();</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>                }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        }       </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../d6/de0/a06138.html#ac3f74feb28a50ef86931a22680ff326b">   79</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/de0/a06138.html#ac3f74feb28a50ef86931a22680ff326b">OnMouseLeave</a>(Widget w, Widget enterW, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        super.OnMouseLeave(w, enterW, x, y);</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordflow">switch</span> (w)</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d6/de0/a06138.html#a4f622720bbce6a3c03a5a3e6b71efb1f">category_button</a>:</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            {</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>                <a class="code hl_variable" href="../../d6/de0/a06138.html#a2f54bcac3711a34f80db09025d2e1318">category_background</a>.SetColor(<a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetMarket().<a class="code hl_variable" href="../../dc/d93/a01535.html#aeef100852ccb522d585d1ed4cf9b3452">MarketMenuColors</a>.Get(<span class="stringliteral">&quot;BaseColorHeaders&quot;</span>));</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>                <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d6/de0/a06138.html#ac9fc0f5657f3c7feb257d23a2f9036b9">m_CategoryTooltip</a>) </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>                    <span class="keyword">delete</span> <a class="code hl_variable" href="../../d6/de0/a06138.html#ac9fc0f5657f3c7feb257d23a2f9036b9">m_CategoryTooltip</a>;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            }</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>};</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d0/d2a/a06142.html">   97</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d0/d2a/a06142.html">ExpansionMarketMenuItemManagerCategoryController</a>: <a class="code hl_class" href="../../d7/d20/a04410.html">ExpansionViewController</a></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>{</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../d0/d2a/a06142.html#af55854d0f3579e55980969e538bef0e8">   99</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d0/d2a/a06142.html#af55854d0f3579e55980969e538bef0e8">CategoryIcon</a>;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>};</div>
<div class="ttc" id="aa01532_html_ac884e55f04581066557cb0154a82a44a"><div class="ttname"><a href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a></div><div class="ttdeci">class ExpansionMarketOutputs name</div></div>
<div class="ttc" id="aa01532_html_adfb4a8c515aa01502dc7b4878569f2bd"><div class="ttname"><a href="../../dc/d0c/a01532.html#adfb4a8c515aa01502dc7b4878569f2bd">attachments</a></div><div class="ttdeci">ref TStringArray attachments</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d0c/a01532_source.html#l00022">expansionmarketoutputs.c:22</a></div></div>
<div class="ttc" id="aa01535_html_aeef100852ccb522d585d1ed4cf9b3452"><div class="ttname"><a href="../../dc/d93/a01535.html#aeef100852ccb522d585d1ed4cf9b3452">MarketMenuColors</a></div><div class="ttdeci">MarketMenuColors</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d93/a01535_source.html#l00066">expansionmarketsettings.c:66</a></div></div>
<div class="ttc" id="aa04410_html"><div class="ttname"><a href="../../d7/d20/a04410.html">ExpansionViewController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d5d/a09121_source.html#l00013">expansionscriptview.c:14</a></div></div>
<div class="ttc" id="aa05206_html"><div class="ttname"><a href="../../d4/d56/a05206.html">ExpansionScriptView</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d42/a09124_source.html#l00013">expansionscriptview.c:14</a></div></div>
<div class="ttc" id="aa05206_html_a3df22f8ba7c31b6d3c427c1b5fcb2382"><div class="ttname"><a href="../../d4/d56/a05206.html#a3df22f8ba7c31b6d3c427c1b5fcb2382">ExpansionScriptView::Show</a></div><div class="ttdeci">override void Show()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d42/a09124_source.html#l00027">expansionscriptview.c:27</a></div></div>
<div class="ttc" id="aa06130_html"><div class="ttname"><a href="../../d2/d44/a06130.html">ExpansionMarketMenuItemManager</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dff/a01910_source.html#l00013">expansionmarketmenuitemmanager.c:14</a></div></div>
<div class="ttc" id="aa06130_html_ac72f6f9c182bfe01428348bf56bf007b"><div class="ttname"><a href="../../d2/d44/a06130.html#ac72f6f9c182bfe01428348bf56bf007b">ExpansionMarketMenuItemManager::SetListView</a></div><div class="ttdeci">void SetListView(TStringArray attachments)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dff/a01910_source.html#l00160">expansionmarketmenuitemmanager.c:160</a></div></div>
<div class="ttc" id="aa06138_html"><div class="ttname"><a href="../../d6/de0/a06138.html">ExpansionMarketMenuItemManagerCategory</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d07/a01913_source.html#l00013">expansionmarketmenuitemmanagercategory.c:14</a></div></div>
<div class="ttc" id="aa06138_html_a2135b701ea1caefd95464233d06a5f74"><div class="ttname"><a href="../../d6/de0/a06138.html#a2135b701ea1caefd95464233d06a5f74">ExpansionMarketMenuItemManagerCategory::GetControllerType</a></div><div class="ttdeci">override GetControllerType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d07/a01913_source.html#l00039">expansionmarketmenuitemmanagercategory.c:39</a></div></div>
<div class="ttc" id="aa06138_html_a213e6a52fdfdb0cbd0f15abdd0e0e8c8"><div class="ttname"><a href="../../d6/de0/a06138.html#a213e6a52fdfdb0cbd0f15abdd0e0e8c8">ExpansionMarketMenuItemManagerCategory::m_MarketMenuItemManager</a></div><div class="ttdeci">ExpansionMarketMenuItemManager m_MarketMenuItemManager</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d07/a01913_source.html#l00018">expansionmarketmenuitemmanagercategory.c:18</a></div></div>
<div class="ttc" id="aa06138_html_a22d2205e2c37657b10794537680f0bba"><div class="ttname"><a href="../../d6/de0/a06138.html#a22d2205e2c37657b10794537680f0bba">ExpansionMarketMenuItemManagerCategory::GetLayoutFile</a></div><div class="ttdeci">override string GetLayoutFile()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d07/a01913_source.html#l00034">expansionmarketmenuitemmanagercategory.c:34</a></div></div>
<div class="ttc" id="aa06138_html_a22f46f0a79e29e6969257af6c76060de"><div class="ttname"><a href="../../d6/de0/a06138.html#a22f46f0a79e29e6969257af6c76060de">ExpansionMarketMenuItemManagerCategory::OnMouseEnter</a></div><div class="ttdeci">override bool OnMouseEnter(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d07/a01913_source.html#l00057">expansionmarketmenuitemmanagercategory.c:57</a></div></div>
<div class="ttc" id="aa06138_html_a2f54bcac3711a34f80db09025d2e1318"><div class="ttname"><a href="../../d6/de0/a06138.html#a2f54bcac3711a34f80db09025d2e1318">ExpansionMarketMenuItemManagerCategory::category_background</a></div><div class="ttdeci">Widget category_background</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d07/a01913_source.html#l00022">expansionmarketmenuitemmanagercategory.c:22</a></div></div>
<div class="ttc" id="aa06138_html_a4f622720bbce6a3c03a5a3e6b71efb1f"><div class="ttname"><a href="../../d6/de0/a06138.html#a4f622720bbce6a3c03a5a3e6b71efb1f">ExpansionMarketMenuItemManagerCategory::category_button</a></div><div class="ttdeci">ButtonWidget category_button</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d07/a01913_source.html#l00021">expansionmarketmenuitemmanagercategory.c:21</a></div></div>
<div class="ttc" id="aa06138_html_a59b92107cb708ed4121368677c8d7c10"><div class="ttname"><a href="../../d6/de0/a06138.html#a59b92107cb708ed4121368677c8d7c10">ExpansionMarketMenuItemManagerCategory::m_MarketItemManagerCategoryController</a></div><div class="ttdeci">protected ref ExpansionMarketMenuItemManagerCategoryController m_MarketItemManagerCategoryController</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d07/a01913_source.html#l00015">expansionmarketmenuitemmanagercategory.c:15</a></div></div>
<div class="ttc" id="aa06138_html_a6d35ee2b85239a7de366b85d9dd77241"><div class="ttname"><a href="../../d6/de0/a06138.html#a6d35ee2b85239a7de366b85d9dd77241">ExpansionMarketMenuItemManagerCategory::OnCategoryButtonClick</a></div><div class="ttdeci">void OnCategoryButtonClick()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d07/a01913_source.html#l00052">expansionmarketmenuitemmanagercategory.c:52</a></div></div>
<div class="ttc" id="aa06138_html_a7396f5a048a51a5cffd3bc3e093289c1"><div class="ttname"><a href="../../d6/de0/a06138.html#a7396f5a048a51a5cffd3bc3e093289c1">ExpansionMarketMenuItemManagerCategory::m_ItemAttachments</a></div><div class="ttdeci">ref TStringArray m_ItemAttachments</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d07/a01913_source.html#l00017">expansionmarketmenuitemmanagercategory.c:17</a></div></div>
<div class="ttc" id="aa06138_html_aac65b42e8f4dc3380ec0006be15aaef1"><div class="ttname"><a href="../../d6/de0/a06138.html#aac65b42e8f4dc3380ec0006be15aaef1">ExpansionMarketMenuItemManagerCategory::SetIcon</a></div><div class="ttdeci">void SetIcon(string name)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d07/a01913_source.html#l00044">expansionmarketmenuitemmanagercategory.c:44</a></div></div>
<div class="ttc" id="aa06138_html_ac3f74feb28a50ef86931a22680ff326b"><div class="ttname"><a href="../../d6/de0/a06138.html#ac3f74feb28a50ef86931a22680ff326b">ExpansionMarketMenuItemManagerCategory::OnMouseLeave</a></div><div class="ttdeci">override bool OnMouseLeave(Widget w, Widget enterW, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d07/a01913_source.html#l00079">expansionmarketmenuitemmanagercategory.c:79</a></div></div>
<div class="ttc" id="aa06138_html_ac9fc0f5657f3c7feb257d23a2f9036b9"><div class="ttname"><a href="../../d6/de0/a06138.html#ac9fc0f5657f3c7feb257d23a2f9036b9">ExpansionMarketMenuItemManagerCategory::m_CategoryTooltip</a></div><div class="ttdeci">protected ref ExpansionMarketMenuTooltip m_CategoryTooltip</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d07/a01913_source.html#l00019">expansionmarketmenuitemmanagercategory.c:19</a></div></div>
<div class="ttc" id="aa06138_html_acfe5bb27e38278d40abb45340205193e"><div class="ttname"><a href="../../d6/de0/a06138.html#acfe5bb27e38278d40abb45340205193e">ExpansionMarketMenuItemManagerCategory::m_CategoryName</a></div><div class="ttdeci">string m_CategoryName</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d07/a01913_source.html#l00016">expansionmarketmenuitemmanagercategory.c:16</a></div></div>
<div class="ttc" id="aa06138_html_ae40cc5fd99654afac65fc310feee106c"><div class="ttname"><a href="../../d6/de0/a06138.html#ae40cc5fd99654afac65fc310feee106c">ExpansionMarketMenuItemManagerCategory::ExpansionMarketMenuItemManagerCategory</a></div><div class="ttdeci">void ExpansionMarketMenuItemManagerCategory(string categoryName, TStringArray attachments, ExpansionMarketMenuItemManager itemManager)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d07/a01913_source.html#l00024">expansionmarketmenuitemmanagercategory.c:24</a></div></div>
<div class="ttc" id="aa06142_html"><div class="ttname"><a href="../../d0/d2a/a06142.html">ExpansionMarketMenuItemManagerCategoryController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d07/a01913_source.html#l00097">expansionmarketmenuitemmanagercategory.c:98</a></div></div>
<div class="ttc" id="aa06142_html_af55854d0f3579e55980969e538bef0e8"><div class="ttname"><a href="../../d0/d2a/a06142.html#af55854d0f3579e55980969e538bef0e8">ExpansionMarketMenuItemManagerCategoryController::CategoryIcon</a></div><div class="ttdeci">string CategoryIcon</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d07/a01913_source.html#l00099">expansionmarketmenuitemmanagercategory.c:99</a></div></div>
<div class="ttc" id="aa06182_html"><div class="ttname"><a href="../../d4/dfc/a06182.html">ExpansionMarketMenuTooltip</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d17/a01937_source.html#l00013">expansionmarketmenutooltip.c:14</a></div></div>
<div class="ttc" id="aa06182_html_a824e474fc0b1586bbe33e86d1b0788c6"><div class="ttname"><a href="../../d4/dfc/a06182.html#a824e474fc0b1586bbe33e86d1b0788c6">ExpansionMarketMenuTooltip::SetContentOffset</a></div><div class="ttdeci">void SetContentOffset(float x, float y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d17/a01937_source.html#l00076">expansionmarketmenutooltip.c:76</a></div></div>
<div class="ttc" id="aa06182_html_aeb9d920ed085f2c7e523be66d83c7916"><div class="ttname"><a href="../../d4/dfc/a06182.html#aeb9d920ed085f2c7e523be66d83c7916">ExpansionMarketMenuTooltip::SetTitle</a></div><div class="ttdeci">void SetTitle(string title)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d17/a01937_source.html#l00053">expansionmarketmenutooltip.c:53</a></div></div>
<div class="ttc" id="aa08737_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a08737_source.html#l00262">expansionsettings.c:262</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_092c367fafeded0f85ad4cffb3510835.html">Market</a></li><li class="navelem"><a class="el" href="../../dir_1f05db06ccb72c72cd31e0fe28945d0f.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_de01f721d980e2c6da889118cf0e6fd3.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_26918351a49db03189baa31a712a4aaa.html">dayzexpansion_market</a></li><li class="navelem"><a class="el" href="../../dir_79e3188851965f986043da0d6157c592.html">market</a></li><li class="navelem"><a class="el" href="../../d4/d07/a01913.html">expansionmarketmenuitemmanagercategory.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
